Generate report on-demand

POST
/api/v2/status/on-demand/requests

Generates and executes an on-demand report request with selections and filters.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Request Body

application/json

The on-demand request containing report configuration, selections, and options.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/status/on-demand/requests" \  -H "Content-Type: application/json" \  -d '{}'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "title": "string",    "fileName": "string",    "status": "string",    "source": "string",    "reportType": "string",    "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9",    "outputFormat": "string",    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",    "projectName": "string",    "createdDate": "2019-08-24T14:15:22Z",    "executionEnd": "2019-08-24T14:15:22Z"  },  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}